$(document).ready(function () {
	if (typeof ('bl_ajax_login') == 'undefined') {
		var bl_ajax_login = 0;
	}

	$('.login-register-inline-form').fancybox({
		wrapCSS: 'blockloginregister',
		type: 'inline',
		topRatio: 0,
		modal: true,
		minWidth: 250,
		maxWidth: 370,
		width: '100%',
		height: 'auto',
		scrolling: 'no',
		title: null,
		openMethod: 'changeIn',
		afterLoad: function () {
			$(document).keydown(function (e) {
				var code = e.keyCode ? e.keyCode : e.which;
				if (code == 27) {
					$.fancybox.close();
				}
			});

			$('#email_create_ajax, #email_ajax, #passwd_ajax').focusin(function () {
				$(this).parent('.input-group').find('.input-group-addon').addClass('focused');
			}).focusout(function () {
				$(this).parent('.input-group').find('.input-group-addon').removeClass('focused');
			});

			$('.login-box-close').on('click', function (e) {
				$.fancybox.close();
			});

			$(".is-rtl .alert.alert-danger").on('click', this, function (e) {
				if (e.screenX < 300 && e.offsetX >= 212 && e.offsetX <= 230 && e.offsetY >= 16 && e.offsetY <= 34)
					$(this).fadeOut();
				else if (e.screenX > 300 && e.offsetX >= 332 && e.offsetX <= 350 && e.offsetY >= 16 && e.offsetY <= 34)
					$(this).fadeOut();
			});
		},
		afterClose: function () {
			hideMsg();
		}
	});
});

function loginCheck() {
	var serialize = $('#loginform').serialize();

	$.ajax({
		type: 'POST',
		url: baseDir + 'modules/blockloginregister/authentication-ajax.php',
		data: serialize,
		dataType: 'json',
		cache: false,
		beforeSend: function () {
			$('#login-box-loading').fadeIn('fast');
		},
		complete: function () {
			$('#login-box-loading').fadeOut('fast');
		},
		success: function (response) {
			if (response && response.confirmation) {
				$.fancybox.close();
				if (bl_ajax_login == 1) {
					document.forms['loginform'].submit();
				} else {
					if (window.location.hash) {
						var url = window.location.hash.substring(1);
						window.location.href = String(url);
					} else {
						window.location.reload();
					}
				}
			} else if (response && response.error) {
				$('#status-login').html(response.error).removeClass('alert-success').addClass('alert-danger').slideDown();
				$.fancybox.update();
			} else {
				alert('Unknow error: no response.');
			}
		}
	});
	return false;
}

function registerCheck() {
	var serialize = $('#registercheck').serialize();

	$.ajax({
		type: 'POST',
		url: baseDir + 'modules/blockloginregister/authentication-ajax.php',
		data: serialize,
		dataType: 'json',
		cache: false,
		beforeSend: function () {
			$('#register-box-loading').fadeIn('fast');
		},
		complete: function () {
			$('#register-box-loading').fadeOut('fast');
		},
		success: function (response) {
			if (response && response.confirmation) {
				$.fancybox.close();
				document.forms['registercheck'].submit();
			} else if (response && response.error) {
				$('#status-register').html(response.error).removeClass('alert-success').addClass('alert-danger').slideDown();
				$.fancybox.update();
			} else {
				alert('Unknow error: no response.');
			}
		}
	});
	return false;
}

function hideMsg() {
	$('.alert-status').hide().html('');
}