<!-- Block login and register module -->
<div id="login_panel">
	<a class="login-register-inline-form" href="#login-box-content" id="login-box" title="{l s='Log in to your customer account' mod='blockloginregister'}">
        <i class="icon icon-lock"></i> <span>{l s='Sign in' mod='blockloginregister'}</span>
    </a>
    <a class="login-register-inline-form" href="#register-box-content" id="register-box" title="{l s='Create an account' mod='blockloginregister'}">
        <i class="icon icon-user"></i> <span>{l s='Create an account' mod='blockloginregister'}</span>
    </a>
</div>
<div id="login-box-content"{if $is_rtl} class="is-rtl"{/if}>
	<div id="login-box-loading" class="box-loading"><i class="icon icon-spinner icon-pulse"></i></div>
    <p class="login-box-title">{l s='Sign in' mod='blockloginregister'} <span title="{l s='Close' mod='blockloginregister'}" class="login-box-close{if $is_rtl} login-box-close-rtl{/if}"></span></p>
    <div id="status-login" class="alert-status alert alert-danger"></div>
    <form id="loginform"  method="post" onsubmit="return loginCheck()" action="{$link->getPageLink('authentication.php', true)|escape:'html'}">
        <input type="hidden" name="action_login" value="login" />
        {if isset($back)}
        <input type="hidden" class="hidden" name="back_ajax" id="backurl_ajax" value="{$back|escape:'htmlall':'UTF-8'}" />
        {/if}
        <div class="form-group">
            <label for="email_ajax"> {l s='Email address' mod='blockloginregister'}</label>
            <div class="input-group">
                <div class="input-group-addon"><i class="icon icon-envelope"></i></div>
                <input type="email" id="email_ajax" name="email_ajax" value="{if isset($smarty.post.email)}{$smarty.post.email|escape:'htmlall'|stripslashes}{/if}" class="form-control" />
            </div>
        </div>
        <div class="form-group">
            <label for="passwd_ajax">{l s='Password' mod='blockloginregister'}</label>
            <div class="input-group">
                <div class="input-group-addon"><i class="icon icon-lock"></i></div>
                <input type="password" id="passwd_ajax" name="passwd_ajax" value="{if isset($smarty.post.passwd)}{$smarty.post.passwd|escape:'htmlall'|stripslashes}{/if}" class="form-control" />
            </div>
        </div>
        <p class="lost_password form-group">
            <a href="{$link->getPageLink('password.php', true)}" rel="nofollow" title="{l s='Recover your forgotten password' mod='blockloginregister'}">{l s='Forgot your password?' mod='blockloginregister'}</a>
        </p>
        <p>
            <button class="button btn btn-default btn-block button-medium" name="SubmitLogin_ajax" id="SubmitLogin_ajax" type="submit">
                <span>
                    <i class="icon-lock left"></i>
                    {l s='Sign in' mod='blockloginregister'}
                </span>
            </button>
        </p>
    </form>
</div>
<div id="register-box-content"{if $is_rtl} class="is-rtl"{/if}>
	<div id="register-box-loading" class="box-loading"><i class="icon icon-spinner icon-pulse"></i></div>
    <p class="login-box-title">{l s='Create an account' mod='blockloginregister'} <span title="{l s='Close' mod='blockloginregister'}" class="login-box-close"></span></p>
    <div id="status-register" class="alert-status alert alert-danger"></div>
    <form id="registercheck" method="post" onsubmit="return registerCheck()" action="{$link->getPageLink('authentication.php', true)|escape:'html'}">
		<p>{l s='Please enter your email address to create an account.' mod='blockloginregister'}</p>
        <input type="hidden" class="hidden" name="create_account" value="1" />
        <input type="hidden" name="action_login" value="create_account" />
        <input type="hidden" class="hidden" name="SubmitCreate" value="{l s='Create your account'}" />
        <div class="form-group">
            <label for="email_create_ajax"> {l s='Email address' mod='blockloginregister'}</label>
            <div class="input-group">
                <div class="input-group-addon"><i class="icon icon-envelope"></i></div>
                <input type="email" id="email_create_ajax" name="email_create" value="{if isset($smarty.post.email_create)}{$smarty.post.email_create|escape:'htmlall':'UTF-8'|stripslashes}{/if}" class="form-control" />
            </div>
        </div>
	    <p>
            <button class="button btn btn-default btn-block button-medium exclusive" name="btnRegister_ajax" id="btnRegister_ajax" type="submit">
                <span>
                    <i class="icon-user left"></i>
                    {l s='Create an account' mod='blockloginregister'}
                </span>
            </button>
        </p>
    </form>
</div>
<!-- /Block login and register module -->
